Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.models.mixture
Enum AbstractMixtureModel.Algorithm

    java.lang.Object
      java.lang.Enum<AbstractMixtureModel.Algorithm>
          de.jstacs.models.mixture.AbstractMixtureModel.Algorithm

All Implemented Interfaces:
  Serializable, Comparable<AbstractMixtureModel.Algorithm>

Enclosing class:
  AbstractMixtureModel

    public static enum AbstractMixtureModel.Algorithm

extends Enum<AbstractMixtureModel.Algorithm>

This `enum` defines the different types of algorithms that can be used in an `AbstractMixtureModel`.

Author:
  Jens Keilwagen

Enum Constant Summary
`EM` This value indicates that the model should be learned using the expectation maximization.
`GIBBS_SAMPLING` This value indicates that the model should be learned using Gibbs sampling.

Method Summary
`static AbstractMixtureModel.Algorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractMixtureModel.Algorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EM

    public static final AbstractMixtureModel.Algorithm EM

  This value indicates that the model should be learned using the expectation maximization.

### GIBBS_SAMPLING

    public static final AbstractMixtureModel.Algorithm GIBBS_SAMPLING

  This value indicates that the model should be learned using Gibbs sampling.

Method Detail

### values

    public static final AbstractMixtureModel.Algorithm[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AbstractMixtureModel.Algorithm c : AbstractMixtureModel.Algorithm.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AbstractMixtureModel.Algorithm valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD